Subject: Re: [PATCH v3 3/4] parse_commit(): handle broken whitespace-only timestamp

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Apr 2023 09:25:02 -0700

Jeff King <[email-masked]> writes:

> In practice this can't cause us to walk off the end of an array, because
> we always add an extra NUL byte to the end of objects we load from disk
> (as a defense against exactly this kind of bug). However, you can see
> the behavior in action when "committer" is the final header (which it
> usually is, unless there's an encoding ...

... or it is a signed commit or a commit that merges a signed tag.

There is no need for us to be exhaustive here, but I just wondered
which one of these three commit object headers is more common.  I
guess the reason "encoding" came to your mind first is because it is
the oldest among the three.